## Get analytics for current market state **get** `/api/v1/analytics/market/state` Get analytics for current market state ### Returns - `data: object { assets, borrower_account_active, borrower_active, 3 more }` - `assets: array of object { asset, lend_interest_paid }` - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: string` - `group: "native" or "token"` - `"native"` - `"token"` - `group_key: string` - `lend_interest_paid: string` - `borrower_account_active: number` - `borrower_active: number` - `flash_loan_volume_total: string` - `lender_active: number` - `loans_originated: object { breakdown, total_value }` Analytics for accumulated value of originated loans - `breakdown: array of object { asset, value }` - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `value: string or number` - `string` - `number` - `total_value: string or number` - `string` - `number` - `error: unknown` Error data. Guaranteed `null` for successful response. - `status: number` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: string` HTTP status text ### Example ```http curl https://api-v2.nept.finance/api/v1/analytics/market/state ``` #### Response ```json { "data": { "borrower_active": 1000, "borrower_account_active": 1200, "lender_active": 1300, "loans_originated": { "total_value": "8.04", "breakdown": [ { "asset": { "id": "native;inj", "group": "native", "group_key": "inj" }, "value": "8.04" } ] }, "flash_loan_volume_total": "13270.54", "assets": [ { "asset": { "id": "native;inj", "group": "native", "group_key": "inj" }, "lend_interest_paid": "1853.23" } ] }, "error": null, "status": 200, "status_text": "OK" } ```